package com.yutou.nas.mybatis.dao;

import com.yutou.nas.mybatis.model.VideoSubtitles;
import com.yutou.nas.mybatis.model.VideoSubtitlesExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VideoSubtitlesDao {
    long countByExample(VideoSubtitlesExample example);

    int deleteByExample(VideoSubtitlesExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(VideoSubtitles record);

    int insertSelective(VideoSubtitles record);

    List<VideoSubtitles> selectByExample(VideoSubtitlesExample example);

    VideoSubtitles selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") VideoSubtitles record, @Param("example") VideoSubtitlesExample example);

    int updateByExample(@Param("record") VideoSubtitles record, @Param("example") VideoSubtitlesExample example);

    int updateByPrimaryKeySelective(VideoSubtitles record);

    int updateByPrimaryKey(VideoSubtitles record);
}